Bug 20330 - incorrect spacing for Combining Diacritical Marks
Summary: incorrect spacing for Combining Diacritical Marks
Status: REOPENED
Alias: None
Product: xorg
Classification: Unclassified
Component: Fonts/other (show other bugs)
Version: 7.6 (2010.12)
Hardware: Other All
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard: 2011BRB_Reviewed
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-26 06:09 UTC by Stanislav Brabec
Modified: 2018-07-03 16:15 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Brabec 2009-02-26 06:09:59 UTC
Several (mostly monospace) fonts from the font set contain incorrect spacing definition for "Combining Diacritical Marks". These characters should have zero space and should render above the previous letter, not above the forthcoming.

As the problem affects only some fonts, I guess that it is a font problem.

Fonts affected (package):
Courier (font-bitstream-*-1.0.0)
Luxi Mono (font-bh-ttf-1.0.0, font-bh-*-1.0.0)
Misc Fixed (font-misc-misc-1.0.0)
Misc Fixed Wide (font-misc-misc-1.0.0)
Schumacher Clean (font-schumacher-misc-1.0.0)

Fonts not affected:
Lucida Sans Typewriter

Fonts from other vendors, that are affected as well:
Courier New
Efont Fixed
Efont Fixed Biwidth
Liberation Mono
Monospace
Nimbus Mono L
URW Chancery L

How to reproduce:

Paste following text with selected font:
o̍g
Correct: accent above o
Incorrect: accent above g
Comment 1 Adam Buchbinder 2009-02-26 13:14:25 UTC
I've reported this as affecting Liberation Mono, opening a bug on Red Hat's tracker.

https://bugzilla.redhat.com/show_bug.cgi?id=487581

I don't think it's likely that Courier New will be fixed, given that it's closed-source and upstream hasn't been distributing it for nearly seven years now.

The current version of Free Mono in Ubuntu Intrepid is affected, but upstream seems to have already dealt with this problem:

https://savannah.gnu.org/bugs/index.php?22994

Bitstream Vera Sans Mono Roman is affected as well (ttf-bitstream-vera 1.10-7); there doesn't appear to be a bug tracker for the issue, but there's a mailing list. There hasn't been a release in some time, but perhaps they'll respond to a bug report:

http://www.gnome.org/fonts/#Reporting_Problems

Comment 2 Jeremy Huddleston Sequoia 2011-10-03 17:21:37 UTC
Are these fonts still broken?
Comment 3 Stanislav Brabec 2011-10-12 11:55:19 UTC
Testing in openSUSE 11.4 GTK+ font selector, only font "Monospace" is now OK (i. e. displays "óg"). All other fonts are still broken in three ways:

oǵ (combining diacritical mark has zero space, but renders above forthcoming letter)

o'g (combining diacritical mark has non-zero space and renders as an ordinary character)

'og (completely broken spacing of combining diacritical mark in URW Chancery L)


Note that this type of bug affects not only Latin characters. For example Devanagari combining "ce" (letter "ca" + combining "e": चे) renders incorrectly in combination with several fonts in openSUSE:

all *.pcf fonts
Efont (all variants)
MUTT CleanrlyU Wide

It seems that Devanagari letters used in combination with these fonts use the same source, as the glyph is always the same.
Comment 4 Adam Jackson 2018-06-12 19:08:39 UTC
Mass closure: This bug has been untouched for more than six years, and is not
obviously still valid. Please reopen this bug or file a new report if you continue to experience issues with current releases.
Comment 5 Stanislav Brabec 2018-07-03 16:15:45 UTC
Re-tested just now:

Courier: still broken
Luxi Mono: still broken
Misc Fixed: broken
Misc Fixed Wide: still broken


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.